<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">

  <title>Novic</title>
  {% load static %}{% load mis_tags %}
  <link rel="shortcut icon" type="image/png" href="{% static 'media/favicon.ico' %}" />


  <link rel="stylesheet" href="{% static 'css/estilos.css' %}">
  <link rel="stylesheet" href="{% static 'css/fonticons.css' %}">
  <link rel="stylesheet" href="{% static 'css/login.css' %}">



  <link rel="stylesheet" href="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

  <script src="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>




  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  </link>

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
    crossorigin="anonymous">
  </link>

  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
  </link>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  <style>
    @import url('https://fonts.googleapis.com/css?family=Nunito&display=swap');
  </style>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>

  <style>


  </style>
  <script>
    $(document).ready(function () {
      $('.navmain').removeClass('fixed-top')
      $('.navmain').addClass('navbar-dark');
      $('.btn-gen-search').on('click', srchclick);
      $('ul.pagination li a').on('click', pagclick);
      $(".checkbox-menu").on("change", "input[type='checkbox']", function () {
        $(this).closest("li").toggleClass("active", this.checked);
      });
      $(document).on('click', '.allow-focus', function (e) {
        e.stopPropagation();
      });
    });
    function srchclick(evt) {
      var csrftoken = Cookies.get('csrftoken');
      var fval = $('.selectpicker').val();
      if (!fval || !$.isArray(fval)) fval = [];
      var tabcont = $('.selectpicker').closest('.tab-pane');
      var _d = {
        tags: fval
        , page: 1
      }
      $.ajax({
        url: '/bib_filt_ajax/',
        beforeSend: function (request) {
          request.setRequestHeader("X-CSRFToken", csrftoken);
        },
        type: 'POST',
        contentType: 'application/json; charset=utf-8',
        data: JSON.stringify(_d),
        dataType: 'text',
        success: function (result) {
          tabcont.find(".container").html(result)
        }
      });
    }
    function pagclick(evt) {
      evt.preventDefault();
      var tag = $(this);
      var act = tag.closest('ul.pagination').find('li.active')
      act.removeClass('active');
      tag.parent('li').addClass('active');
      var tabcont = tag.closest('.tab-pane');
      var pnum = tag.text();
      var albl = tag.attr('aria-label')
      if (albl == 'Previous') {
        var l = act.find('a');
        var actnum = l.text();
        pnum = parseInt(actnum) - 1;
        if (pnum < 1) return;
      }
      if (albl == 'Next') {
        var l = act.find('a');
        var actnum = l.text();
        pnum = parseInt(actnum) + 1;
      }
      // alert(" click on "+tag.text());
      var _d = {
        page: tag.text()
      }
      var csrftoken = Cookies.get('csrftoken');
      $.ajax({
        url: '/bib_filt_ajax/',
        beforeSend: function (request) {
          request.setRequestHeader("X-CSRFToken", csrftoken);
        },
        type: 'POST',
        contentType: 'application/json; charset=utf-8',
        data: JSON.stringify(_d),
        dataType: 'text',
        success: function (result) {
          //alert(result);

          tabcont.find(".container").html(result)
        }
      });
    }
  </script>


</head>

<body>
  {% include "core/navbar.html" %}
  <div class="bibcont">
  <ul class="nav nav-tabs ">
    <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#todos">Todos</a></li>
    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#recientes">Recientes</a></li>
    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#pops">Populares</a></li>
    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#generos">Generos</a></li>

  </ul>
</div>
  <div class="tab-content bibcont h-75 ">
    <div id="todos" class="tab-pane active h-100 ">
      <nav aria-label="paginup" class="nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in comnicPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if comnicPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
      <div class="container ">

        <div class="grid">
          {% for c in comic %}
          <div>
            <a href="{% url 'comic' c.id %}">
              <img src="{{c.imagen_comic.url}}" alt="">
              <br />
              <label class="cname" for="">{{ c.nombre}}</label>
              <label class="autname" for="">{{ c.usuario.username}}</label>
              <div class="container-fluid tags_comic">
                <div class="row">

                  {% tags_comic c.id as tags%}
                  {% for tag in  tags%}
                  <div class="col text-center text-truncate rounded-pill border border-light px-1 py-1"
                    style="background-color:{{tag.color}}" title="{{ tag.nombre}}">
                    {{ tag.nombre}}
                  </div>
                  {% endfor %}
                </div>
              </div>
              <div class="cntcontainer">
                <div class="row">
                  <div class="col-sm">
                    <i class="fic-eye-1"></i>{% cant_vista c.id %}
                  </div>
                  <div class="col-sm">
                    <i class="fic-comment-alt2-stroke"></i>{% cant_comment c.id %}
                  </div>

                </div>
              </div>
            </a>
          </div>
          {% endfor %}
        </div>

      </div>
      <nav aria-label="pagindown" class="align-bottom nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in comnicPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if comnicPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
    <div id="recientes" class=" tab-pane fade in h-100">
      <nav aria-label="paginup" class="nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in recPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if recPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
      <div class="container">
        <div class="grid">
          {% for c in comic_reciente %}
          <div>
            <a href="{% url 'comic' c.id %}">
              <img src="{{c.imagen_comic.url}}" alt="">
              <br />
              <label class="cname" for="">{{ c.nombre}}</label>
              <label class="autname" for="">{{ c.usuario.username}}</label>
              <div class="container-fluid tags_comic">
                  <div class="row">
  
                    {% tags_comic c.id as tags%}
                    {% for tag in  tags%}
                    <div class="col text-center text-truncate rounded-pill border border-light px-1 py-1"
                      style="background-color:{{tag.color}}" title="{{ tag.nombre}}">
                      {{ tag.nombre}}
                    </div>
                    {% endfor %}
                  </div>
                </div>
              <div class="cntcontainer">
                <div class="row">
                  <div class="col-sm">
                    <i class="fic-eye-1"></i>{% cant_vista c.id %}
                  </div>
                  <div class="col-sm">
                    <i class="fic-comment-alt2-stroke"></i>{% cant_comment c.id %}
                  </div>

                </div>
              </div>
            </a>
          </div>
          {% endfor %}
        </div>
      </div>
      <nav aria-label="pagindown" class="align-bottom nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in recPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if recPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
    <div id="pops" class=" tab-pane fade in h-100">
      <nav aria-label="paginup" class="nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in popPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if popPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
      <div class="container">
        <div class="grid">
          {% for c in comic_popular %}
          <div>
            <img src="{{c.imagen_comic.url}}" alt="">
            <br />
            <label class="cname" for="">{{ c.nombre}}</label>
            <label class="autname" for="">{{ c.usuario.username}}</label>
            <div class="container-fluid tags_comic">
                <div class="row">

                  {% tags_comic c.id as tags%}
                  {% for tag in  tags%}
                  <div class="col text-center text-truncate rounded-pill border border-light px-1 py-1"
                    style="background-color:{{tag.color}}" title="{{ tag.nombre}}">
                    {{ tag.nombre}}
                  </div>
                  {% endfor %}
                </div>
              </div>
            <div class="cntcontainer">
              <div class="row">
                <div class="col-sm">
                  <i class="fic-eye-1"></i>{% cant_vista c.id %}
                </div>
                <div class="col-sm">
                  <i class="fic-comment-alt2-stroke"></i>{% cant_comment c.id %}
                </div>

              </div>
            </div>

          </div>
          {% endfor %}
        </div>
      </div>
      <nav aria-label="pagindown" class="align-bottom nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in popPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if popPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
    <div id="generos" class="tab-pane fade in h-100">
      <div class="row nav-pag">
        <div class="col-sm">
          <div class="select-gen-filt input-group justify-content-end ">
            <select multiple data-style="rounded-pill border border-dark bg-light" class="selectpicker  "
              data-none-selected-text="Todos">
              {% for t in tags %}
              <option value="{{t.id}}">{{ t.nombre }}</option>
              {% endfor %}

            </select>
            <div class="input-group-append">
              <button class="btn btn-dark btn-gen-search" type="button">Filtrar</button>
            </div>
          </div>
        </div>
        <div class="col-sm">
          <nav aria-label="paginup">


            <ul class="pagination justify-content-end mr-5">

              <li class="page-item disabled">
                <a class="page-link prev" href="#" aria-label="Previous">
                  <span aria-hidden="true">&laquo;</span>
                  <span class="sr-only">Previous</span>
                </a>
              </li>
              {% for p in comnicPags.page_range %}

              <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
              </li>
              {% endfor %}

              </li>
              <li class="page-item {% if comnicPags.num_pages == 1 %}disabled{% endif %}">
                <a class="page-link  next" href="#" aria-label="Next">
                  <span aria-hidden="true">&raquo;</span>
                  <span class="sr-only">Next</span>
                </a>
              </li>
            </ul>

          </nav>
        </div>

      </div>


      <div class="container ">

        <div class="grid">
          {% for c in comic %}
          <div>
            <a href="{% url 'comic' c.id %}">
              <img src="{{c.imagen_comic.url}}" alt="">
              <br />
              <label class="cname" for="">{{ c.nombre}}</label>
              <label class="autname" for="">{{ c.usuario.username}}</label>
              <div class="container-fluid tags_comic">
                  <div class="row">
  
                    {% tags_comic c.id as tags%}
                    {% for tag in  tags%}
                    <div class="col text-center text-truncate rounded-pill border border-light px-1 py-1"
                      style="background-color:{{tag.color}}" title="{{ tag.nombre}}">
                      {{ tag.nombre}}
                    </div>
                    {% endfor %}
                  </div>
                </div>
              <div class="cntcontainer">
                <div class="row">
                  <div class="col-sm">
                    <i class="fic-eye-1"></i>{% cant_vista c.id %}
                  </div>
                  <div class="col-sm">
                    <i class="fic-comment-alt2-stroke"></i>{% cant_comment c.id %}
                  </div>

                </div>
              </div>
            </a>
          </div>
          {% endfor %}

        </div>

      </div>
      <nav aria-label="pagindown" class="align-bottom nav-pag">
        <ul class="pagination justify-content-end mr-5">

          <li class="page-item disabled">
            <a class="page-link prev" href="#" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
              <span class="sr-only">Previous</span>
            </a>
          </li>
          {% for p in comnicPags.page_range %}

          <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
          </li>
          {% endfor %}

          <li class="page-item {% if comnicPags.num_pages == 1 %}disabled{% endif %}">
            <a class="page-link  " href="#" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
              <span class="sr-only">Next</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </div>

</body>

</html>